package com.kmall.admin.fromcomm.service.impl;

import com.kmall.manager.dao.SysRegionDao;
import com.kmall.manager.entity.SysRegionEntity;
import com.kmall.manager.service.SysRegionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


@Service("sysRegionService")
public class SysRegionServiceImpl implements SysRegionService {
	@Autowired
	private SysRegionDao regionDao;
	
	@Override
	public SysRegionEntity queryObject(Long id){
		return regionDao.queryObject(id);
	}
	
	@Override
	public List<SysRegionEntity> queryList(Map<String, Object> map){
		return regionDao.queryList(map);
	}
	
	@Override
	public int queryTotal(Map<String, Object> map){
		return regionDao.queryTotal(map);
	}
	
	@Override
	public void save(SysRegionEntity sysRegionEntity){
		regionDao.save(sysRegionEntity);
	}
	
	@Override
	public void update(SysRegionEntity sysRegionEntity){
		regionDao.update(sysRegionEntity);
	}
	
	@Override
	public void delete(Long id){
		regionDao.delete(id);
	}
	
	@Override
	public void deleteBatch(Long[] ids){
		regionDao.deleteBatch(ids);
	}
	
}
